# $Revision: 1.23 $, $Date: 2010/11/17 06:07:51 $
Summary:	Mouse accessibility enhancements for GNOME
Summary(pl.UTF-8):	Rozszerzenia dostępności myszy dla GNOME
Name:		mousetweaks
Version:	2.32.1
Release:	1
License:	GPL v3
Group:		X11/Applications/Accessibility
Source0:	http://ftp.gnome.org/pub/GNOME/sources/mousetweaks/2.32/%{name}-%{version}.tar.bz2
# Source0-md5:	1af7be870e0b8df9b0a2d481f77c7be5
URL:		http://live.gnome.org/Mousetweaks/Home
BuildRequires:	GConf2-devel >= 2.24.0
BuildRequires:	at-spi-devel >= 1.26.0
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1:1.9
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gnome-doc-utils >= 0.14.0
BuildRequires:	gnome-panel-devel >= 2.26.0
BuildRequires:	gtk+2-devel >= 2:2.16.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.198
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libXtst-devel
Requires(post,preun):	GConf2
Requires:	libgail-gnome
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The mousetweaks package provides the functions offered by the
Accessibility tab of the Mouse control panel of the GNOME Control
Center. It also contains two panel applets related to the mouse
accessibility.

%description -l pl.UTF-8
Pakiet mousetweaks udostępnia funkcje oferowane przez zakładkę
Dostępność w panelu sterowania myszy w Centrum Sterowania GNOME.
Zawiera także dwa aplety panelu związane z dostępnością myszy.

%prep
%setup -q

sed -i -e 's/^en@shaw//' po/LINGUAS
rm -f po/en@shaw.po

%build
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-schemas-install \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install mousetweaks.schemas
%gconf_schema_install pointer-capture-applet.schemas

%preun
%gconf_schema_uninstall mousetweaks.schemas
%gconf_schema_uninstall pointer-capture-applet.schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/dwell-click-applet
%attr(755,root,root) %{_bindir}/mousetweaks
%attr(755,root,root) %{_bindir}/pointer-capture-applet
%{_sysconfdir}/gconf/schemas/mousetweaks.schemas
%{_sysconfdir}/gconf/schemas/pointer-capture-applet.schemas
%{_libdir}/bonobo/servers/DwellClick_Factory.server
%{_libdir}/bonobo/servers/PointerCapture_Factory.server
%{_datadir}/mousetweaks
%{_mandir}/man1/dwell-click-applet.1*
%{_mandir}/man1/mousetweaks.1*
%{_mandir}/man1/pointer-capture-applet.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mousetweaks.spec,v $
Revision 1.23  2010/11/17 06:07:51  megabajt
- updated to 2.32.1

Revision 1.22  2010/11/02 20:42:40  megabajt
- updated to 2.32.0

Revision 1.21  2010/06/30 13:44:24  megabajt
- updated to 2.30.2

Revision 1.20  2010/04/26 21:29:01  megabajt
- updated to 2.30.1

Revision 1.19  2010/03/27 12:25:32  megabajt
- updated to 2.30.0

Revision 1.18  2009/12/18 23:15:50  megabajt
- updated to 2.28.2

Revision 1.17  2009/11/28 22:41:58  sparky
- BR: docbook-dtd412-xml

Revision 1.16  2009/11/15 20:34:56  megabajt
- updated to 2.28.1

Revision 1.15  2009/10/16 23:41:50  wrobell
- ver. 2.28.0

Revision 1.14  2009/07/02 16:51:44  megabajt
- updated to 2.26.3

Revision 1.13  2009/05/19 18:44:29  megabajt
- updated to 2.26.2

Revision 1.12  2009/03/16 18:23:24  megabajt
- updated to 2.26.0; merged changes from DEVEL

Revision 1.11.2.2  2009/03/13 23:23:24  megabajt
- use X11/Applications/Accessibility

Revision 1.11.2.1  2009/02/21 19:16:04  megabajt
- updated to 2.25.91

Revision 1.11  2009/01/15 19:59:05  qboosh
- pl

Revision 1.10  2009/01/15 09:07:08  duddits
- up to 2.24.3

Revision 1.9  2008/11/23 18:37:25  megabajt
- updated to 2.24.2

Revision 1.8  2008/10/20 16:48:10  megabajt
- updated to 2.24.1

Revision 1.7  2008/09/28 14:31:36  megabajt
- updated to 2.24.0; merged changes from DEVEL

Revision 1.5.2.4  2008/09/13 09:45:31  patrys
- 2.23.92

Revision 1.5.2.3  2008/09/04 10:58:29  patrys
- 2.23.91

Revision 1.5.2.2  2008/08/18 13:38:58  patrys
- 2.23.90

Revision 1.6  2008/06/30 21:42:09  megabajt
- updated to 2.22.3

Revision 1.5.2.1  2008/06/15 16:16:00  megabajt
- updated to 2.23.3

Revision 1.5  2008/06/01 07:23:40  adamg
- updated to 2.22.2

Revision 1.4  2008-04-07 09:42:40  megabajt
- updated to 2.22.1

Revision 1.3  2008-03-30 22:56:43  blues
- rel.2 - requires libgail-gnome

Revision 1.2  2008-03-12 14:15:52  megabajt
- updated to 2.22.0

Revision 1.1  2008-03-04 19:09:42  megabajt
- new
